org.apache.uima.jcas.cas

## Class EmptyFloatList_Type

- java.lang.Object
- - org.apache.uima.jcas.cas.TOP_Type
  - - org.apache.uima.jcas.cas.FloatList_Type
    - - org.apache.uima.jcas.cas.EmptyFloatList_Type

-     public class EmptyFloatList_Type
      extends FloatList_Type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `featOkTst`
    `static int` | `typeIndexID`

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP_Type

      `casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EmptyFloatList_Type()`
    `` | `EmptyFloatList_Type(JCas jcas, Type casType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FSGenerator<?>` | `getFSGenerator()`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP_Type

      `addToIndexes, checkType, getTypeIndexID, invalidTypeArg, noObjCreate, removeFromIndexes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

    - #### featOkTst

          public static final boolean featOkTst

  - ### Constructor Detail

    - #### EmptyFloatList_Type

          public EmptyFloatList_Type(JCas jcas,
                                     Type casType)

    - #### EmptyFloatList_Type

          protected EmptyFloatList_Type()

  - ### Method Detail

    - #### getFSGenerator

          protected FSGenerator<?> getFSGenerator()

      Overrides:
        `getFSGenerator` in class `FloatList_Type`

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.